<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
<% . /usr/local/lib/cgi/config.sh %>

<link href="/css/leds.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
body,td,th {
  margin-left: 20px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
  font-weight: bold;
  color: #333333;
}
th.val,td.val {
  background-color: #e6e8eb;
  font-weight: normal;
}
th.wh,td.wh {
  background-color: #ffffff;
}
-->
</style>
<script language=JavaScript src=/js/util-ex.js></script>
<script language=JavaScript src=/js/update.js></script>

<script>

// global variables
var responseReceived=1;

setInterval("sendRequest()",3000);

function sendSingleCommand(theCmd){
   	var randomNo=Math.floor(Math.random()*1001);
   	var dataHref='/cgi-bin/command.cgi?'+theCmd+'&'+randomNo;
   	document.images["senddataimg"].src = dataHref; // use fake img to send data without reloading
}

</script>

<link href="/sys/css/vumeter.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="/sys/js/vumeter.js"></script>
<script language=JavaScript>

var delay = 500;
var timeout = delay * 4;
var xmlhttp = false;
var left_peak=new VuMeter("left_peak", 20, "", 0, 0);
var right_peak=new VuMeter("right_peak", 20, "", 0, 0);

if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	try {
	xmlhttp = new XMLHttpRequest();
	} catch (e) {
		xmlhttp = false;
	}
}

function send_xmlhttp_request(url, funct) {
	xmlhttp.open("GET", url, true);
	xmlhttp.overrideMimeType('text/plain');
	xmlhttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
	if(!funct) funct = function(){};
	xmlhttp.onreadystatechange=funct;
	xmlhttp.timeout = timeout;
	xmlhttp.send(null);
}

function gotStatus(data) {
	setTimeout("getStatus()", delay);
	/*
	 * not found http error <?xml  ?
	 */
	if (data.substr(0,2)=="<?") return;

	if (data!="") {
		processStatusData(data);
	} else {
		clearStatusData();
	}
}

function getStatus() {
	if (xmlhttp) {
		function reply() {
			if (xmlhttp.readyState==4) {
				gotStatus(xmlhttp.responseText);
			}
		};
		send_xmlhttp_request("/sys/cgi-bin/status.cgi?get_status",reply);
	}
}

function startStatusPolling() {
	setTimeout("getStatus()", delay);
}

function processStatusData(jsonData) {
	try {
		var statusData=JSON.parse(jsonData);

		updateChannelsStatus(statusData.channels);

		left_peak_ampl = parseFloat(statusData.left_peak, 10) / 32768;
		right_peak_ampl = parseFloat(statusData.right_peak, 10) / 32768;

		left_peak_db = 10 * Math.log10(left_peak_ampl * left_peak_ampl);
		right_peak_db = 10 * Math.log10(right_peak_ampl * right_peak_ampl);

		if (left_peak_db < -40) {
			document.getElementById('left_peaklev').innerHTML="< -40 dB";
			update_vu_meter(left_peak, 0);
		} else {
			if (left_peak_db > 0.0) {
				document.getElementById('left_peaklev').innerHTML="0.0 dB";
			} else {
				document.getElementById('left_peaklev').innerHTML=left_peak_db.toFixed(1)+" dB";
			}
			update_vu_meter(left_peak, parseInt(left_peak_ampl * 100));
		}

		if (right_peak_db < -40) {
			document.getElementById('right_peaklev').innerHTML="< -40 dB";
			update_vu_meter(right_peak, 0);
		} else {
			if (right_peak_db > 0.0) {
				document.getElementById('right_peaklev').innerHTML="0.0 dB";
			} else {
				document.getElementById('right_peaklev').innerHTML=right_peak_db.toFixed(1)+" dB";
			}
			update_vu_meter(right_peak, parseInt(right_peak_ampl * 100));
		}
	} catch (e) {
		/* received no JSON */
		clearStatusData();
	}
}


function clearStatusData() {
	document.getElementById('left_peaklev').innerHTML="N/A";
	update_vu_meter(left_peak, 0);
	document.getElementById('right_peaklev').innerHTML="N/A";
	update_vu_meter(right_peak, 0);
}

</script>

</head>

<body link=#000000 vlink=#000000 alink=#000000 onload="startStatusPolling(); sendRequest();"><font face="Arial, Helvetica, sans-serif">
<img name="senddataimg" id="senddataimg" src="" width="0" height="0">
<table width=640px>
<col width="120px">
<col width="520px">
<tr>
    <td>Host/Server Name</td>
    <td class='val'  id=server_name padding=5px><left>&nbsp;<% cfg_print_param network.eth0.dhcpname %></td>
</tr>

<tr>
    <td>Server IP</td>
    <td class='val'  id=server_ip padding=5px><left></td>
</tr>

<tr>
    <td><b>Server Status</b></font></td>
    <td class='val' id=server_status></td>
</tr>

<tr>
    <td><b>License Status</b></font></td>
    <td class='val' id=license_status></td>
</tr>

<tr>
    <td><b>Channel list broadcasting</b></font></td>
    <td class='val' id=ch_list_status></td>
</tr>

<tr><td colspan="2" class="wh"><hr size="1" noshade></tr>

<tr>
    <td>Configured Channels List
    <td class='val'>
        <table id="status_table" cellpadding=6 style="text-align: left;">
            <tr>
                <td></td><td></td><td></td><td></td><td></td>
            </tr>
        </table>
     </td>
</tr>

<tr><td colspan="2" class="wh"><hr size="1" noshade></tr>

<tr>
	<td> Input Level </td>
	<td class='val' padding=5px><left><% if cfg_string_compare audiopoint.general.audio_input_level consumer; then echo -n "Consumer -10dBv"; else echo -n "Nominal 0dBu"; fi %></td>
</tr>

<tr>
	<td> Left peak </td>
	<td>
	<table cellspacing="0" cellpadding="2">
		<td class="val" width=135px><span id="left_peaklev" />
		<td class="val"><table class="vu_meter" id="left_peak"><tr><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td></table>
	</table>
	</td>
</tr>

<tr>
	<td> Right peak </td>
	<td>
	<table cellspacing="0" cellpadding="2">
		<td class="val" width=135px><span id="right_peaklev" />
		<td class="val"><table class="vu_meter" id="right_peak"><tr><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td><td></table>
	</table>
	<td>
</tr>

<tr><td colspan="2" class="wh"><hr size="1" noshade></tr>
<tr>
	<td></td>
	<td><input type=button id=toggle_btn value="Stop server"
				title="Click here to stop the Audio Point"
				onclick=sendSingleCommand('toggle_app=1');>
	</td>
</tr>



</table>

</body>
</html>
