<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<%

# do not use the weblog for now
# paths to log files
# declare -a LOG_PATHS=('/var/log/messages' '/var/log/lighttpd-access.log')
declare -a LOG_PATHS=('/var/log/messages')

# fancy names of logs
# declare -a LOG_NAMES=('System log' 'Web access log')
declare -a LOG_NAMES=('System log')

# cgi scripts to call on button click
# declare -a LOG_CGIS=('download_applog.cgi' 'download_weblog.cgi')
declare -a LOG_CGIS=('download_applog.cgi')

# Parameters:
# $1 = fancy name
# $2 = path

# number of last entries to be shown on the homepage

function print_log()
{
  LOG_HISTORY_LEN=50
  echo -n '
        <form action='
  echo -n "${3}"
  echo -n '
        method="get">'
  echo -n '<table><tr><td style="vertical-allign:middle;width:120px">'
  echo -n "<b>${1}</b></td><td>"
  echo -n '<input type=submit value=" Download all messages ">'
  echo -n "&nbsp;"
  echo -n '<input type=button value="Show last" onclick=getLastLogs('
  echo -n '"'
  echo -n "${2}"
  echo -n '"'
  echo -n ',get_val("quantity"));>'
  echo -n "&nbsp;"
  echo -n '<input type="number" id="quantity" name="quantity" value="'
  echo -n "$LOG_HISTORY_LEN"
  echo -n '"'
  echo -n 'min="50" max="1000" step="50" title="Type here the number of messages you want to see, then click the Show Last button to refresh the screen">'
  echo -n ' messages'
  echo -n "</td></table><br>"
  echo "</form>"
  echo "<div style='border: 1px solid #cccccc; overflow:auto; height:450px; width:1000px;'>"
  echo -n '<pre id='
  echo -n '"'
  echo -n "${2}"
  echo -n '" '
  echo ' style="font-size:12px;">'
  tail -n $LOG_HISTORY_LEN "$2"
  echo "</pre></div><br>"
}

%>

<html>
<head>
<script language=JavaScript src="/js/util-ex.js"></script>
<script language=JavaScript src="/js/logs.js"></script>
<link href="/sys/css/basic.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
body { margin-left:20px}
-->
</style>
</head>
<body>

<%

for (( i = 0 ; i < ${#LOG_NAMES[@]} ; i++ )) do
	print_log "${LOG_NAMES[$i]}" "${LOG_PATHS[$i]}" "${LOG_CGIS[$i]}"
done

%>

</body>
</html>