<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>
<link href="/sys/css/basic.css" rel="stylesheet" type="text/css">
<script language=JavaScript src=/js/util-ex.js></script>
<script language=JavaScript src=/js/update.js></script>
<script language=JavaScript>
	// variables needed for the status scripts to work
var responseReceived=1;
</script>
</head>
<title>Audio Point Channel Info Server - Status</title>
<body onload="sendRequest();">
<table>
    <tr>
        <td colspan="2">
            <b>SYSTEM STATUS</b>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <b>Time Status</b>
        </td>
    </tr>
    <tr>
        <td width="180px">Date and time</td><td> <% print_datetime %></td>
    </tr>
    <tr>
        <td>Uptime</td><td> <% print_uptime %></td>
    </tr>
</table>

<table>
    <tr>
        <td colspan="2">
            <b><br>Device information</b>
        </td>    
    </tr>
    <tr>
        <td width="180px">Hardware type</td><td><span id="hwtype"><% print_device_type %></span></td>
    </tr>
    <tr>
        <td>IPAM type</td><td> <% print_ipam_type %></td>
    </tr>
    <tr>
        <td>Kernel version</td><td style="width: 300px;display: table-cell;"><% print_kernel_version %></td>
    </tr>
    <tr>
        <td>Root File System</td><td><% echo $(head -n 1 /barix/info/VERSION) %></td>

    </tr>
    <tr>
        <td>System WEB UI</td><td><% echo $(head -n 1 /usr/local/www/sys/VERSION) %></td>
    </tr>
    <tr>
        <td>Build Date</td><td><% echo $(head -n 1 /barix/info/DATE) %></td>
    </tr>
</table>

<table>
    <tr>
        <td colspan="2">
            <b><br>Network Status</b>
        </td>    
    </tr>
    <tr>
        <td width="180px">MAC address</td><td><% print_mac_addr %></td>
    </tr>
    <tr>
        <td>Current IP address</td><td><% print_ip_addr %></td>
    </tr>
    <tr>
        <td>Current Netmask</td><td><% print_netmask %></td>
    </tr>
    <tr>
        <td>Current Gateway</td><td><% print_default_gw %></td>
    </tr>
</table>

<table>
    <tr>
        <td colspan="2">
            <b><br>Application</b>
        </td>
    </tr>
    <tr>
        <td width="180px">Name</td><td>Audiopoint</td>
    </tr>
    <tr>
        <td>Version</td><td><% print_fw_version %></td>
    </tr>
</table>

<table>
    <tr>
        <td colspan="2">
            <b><br>License</b>
        </td>
    </tr>
    <tr>
        <td width="180px">Status</td><td><% print_license_status %></td>
    </tr>
    <tr>
        <td width="180px">ID</td><td><% print_license_id %></td>
    </tr>
    <tr>
        <td>Issue date</td><td><% print_license_issue_date %></td>
    </tr>
    <tr>
        <td>Features</td><td><% print_license_features %></td>
    </tr>
    <tr>
        <td>Signature</td><td><% print_license_signature %></td>
    </tr>
</table>

<hr id=app_config_separator style="text-align:left;margin-left:0;width:500px;"><br>
<table>
    <tr>
        <td colspan="2"><b>APPLICATION CONFIGURATION<br></b></td>
    </tr>
    <tr>
        <td colspan="2"><b>Network Settings</b></td>
    </tr>
    <tr>
		<td width="180px">Use SonicIP</td>
        <td><% if cfg_string_compare network.sonic_ip.enabled true ; then echo -n "Enabled" ; else echo -n "Disabled" ; fi%> </td>
	</tr>
	<tr>
		<td>SonicIP Volume</td>
        <td><% cfg_print_param network.sonic_ip.volume %> </td>
	</tr>
	<tr>
	    <td>Protocol</td>
		<td><% cfg_print_param network.eth0.proto %> </td>   
	</tr>		
	<tr>
        <td>Static IP Address</td>
		<td><% cfg_print_param network.eth0.ipaddr %> </td>
	</tr>
	<tr>
		<td>Static Netmask</td>
		<td><% cfg_print_param network.eth0.netmask %> </td>
	</tr>
	<tr>
		<td>Static Gateway IP Address</td>
		<td><% cfg_print_param network.eth0.gateway %> </td>
	</tr>
	<tr>
		<td>Static Primary DNS</td>
		<td><% cfg_print_param network.eth0.dns1 %> </td>
	</tr>
	<tr>
		<td>Static Alternative DNS</td>
		<td><% cfg_print_param network.eth0.dns2 %> </td>
	</tr>
	<tr>
		<td>DHCP Host Name</td>
		<td><% cfg_print_param network.eth0.dhcpname %> </td>
	</tr>
	<tr>
		<td>Web Server Port</td>
		<td><% cfg_print_param httpd.webserver.port %> </td>
	</tr>
	<tr>
		<td>Syslog Address</td>
		<td><% cfg_print_param syslogd.remote.ipaddr %> </td>
	</tr>		
    <tr>
        <td colspan="2"><b><br>Security Settings</b></td>
    </tr>
    <tr>
		<td>Reboot Function</td>
    	<td><% if cfg_string_compare security.reset.enabled true ; then echo -n "Enabled" ; else echo -n "Disabled" ; fi %></td>
	<tr>
		<td>Reset Factory Defaults
		<td><% if cfg_string_compare security.defaults.enabled true  ; then echo -n "Enabled" ; else echo -n "Disabled" ; fi %></td>
    </tr>
	<tr>
		<td>Web Update Function</td>
		<td><% if cfg_string_compare security.update.enabled true  ; then echo -n "Enabled" ; else echo -n "Disabled" ; fi%></td>
    </tr>
	<tr>
		<td>Automatic Remote Update</td>
		<td><% if cfg_string_compare security.update.automatic true  ; then echo -n "Enabled" ; else echo -n "Disabled" ; fi%></td>
    </tr>
</table>

</body>
</html>
