# Barix Web UI
# (c)2018 Barix AG
#
# Functions to get system information.

function get_app_pid {
	p=$(pidof ap-server)
	if [ -n "${p}" ]; then
		echo ${p}
	else
		echo 0
	fi
}

function get_IP {
	echo $(ifconfig eth0 | grep -Eo '([0-9]*\.){3}[0-9]*' | head -n1)
}

function get_license_status {
	if [ ! -f /tmp/license-status ]; then
		FEATURES=$(/usr/bin/qiba-check-license core-image-barix-audiopoint)
		if [ $? == "0" ]; then
			echo "Valid" > /tmp/license-status
		else
			echo "Invalid!" > /tmp/license-status
		fi
	fi
	cat /tmp/license-status
}
